/*
* Author:      Marco Kuiper (http://www.marcofolio.net/)
*/
jQuery.noConflict();
// Speed of the automatic slideshow
var slideshowSpeed = 6000;

// Variable to store the images we need to set as background
// which also includes some text and url's.
var photos = [ {
		"title" : "Stairs",
		"image" : "image1.aspx",
		"url" : "http://www.sxc.hu/photo/1271909",
		"firstline" : "Best New Private Golf Course 2011",
		"secondline" : "Play at our renowned Golf Club and enjoy challenging course play"
	}, {
		"title" : "Office Appartments",
		"image" : "image2.aspx",
		"url" : "http://www.sxc.hu/photo/1265695",
		"firstline" : "Morden meets classic",
		"secondline" : "Our urbanized setting has everything you're looking for"
	}, {
		"title" : "Mountainbiking",
		"image" : "image3.aspx",
		"url" : "http://www.sxc.hu/photo/1221065",
		"firstline" : "A Memory that will last a lifetime",
		"secondline" : "An outdoor view that will have everyone talking"
	}, {
		"title" : "Mountains Landscape",
		"image" : "image4.aspx",
		"url" : "http://www.sxc.hu/photo/1271915",
		"firstline" : "Game, Set, Match!",
		"secondline" : "Talk with your raquet and play with your heart"
	}, {
		"title" : "Mountains Landscape",
		"image" : "image5.aspx",
		"url" : "http://www.sxc.hu/photo/1271915",
		"firstline" : "Bon appétit!",
		"secondline" : "Savour our exciting menu of fresh and local ingredients"
	}, {
		"title" : "Italian pizza",
		"image" : "image6.aspx",
		"url" : "http://www.sxc.hu/photo/1042413",
		"firstline" : "Set Sail for a grand experience",
		"secondline" : "A great place to enjoy with family and friends"
	}
];



jQuery(document).ready(function() {
		
	// Backwards navigation
	jQuery("#back").click(function() {
		stopAnimation();
		navigate("back");
	});
	
	// Forward navigation
	jQuery("#next").click(function() {
		stopAnimation();
		navigate("next");
	});
	
	var interval;
	jQuery("#control").toggle(function(){
		stopAnimation();
	}, function() {
		// Change the background image to "pause"
		jQuery(this).css({ "background-image" : "url(/SiteDesign/Splash4/btn_pause.aspx)" });
		
		// Show the next image
		navigate("next");
		
		// Start playing the animation
		interval = setInterval(function() {
			navigate("next");
		}, slideshowSpeed);
	});
	
	
	var activeContainer = 1;	
	var currentImg = 0;
	var animating = false;
	var navigate = function(direction) {
		// Check if no animation is running. If it is, prevent the action
		if(animating) {
			return;
		}
		
		// Check which current image we need to show
		if(direction == "next") {
			currentImg++;
			if(currentImg == photos.length + 1) {
				currentImg = 1;
			}
		} else {
			currentImg--;
			if(currentImg == 0) {
				currentImg = photos.length;
			}
		}
		
		// Check which container we need to use
		var currentContainer = activeContainer;
		if(activeContainer == 1) {
			activeContainer = 2;
		} else {
			activeContainer = 1;
		}
		
		showImage(photos[currentImg - 1], currentContainer, activeContainer);
		
	};
	
	var currentZindex = -1;
	var showImage = function(photoObject, currentContainer, activeContainer) {
		animating = true;
		
		// Make sure the new container is always on the background
		currentZindex--;
		
		// Set the background image of the new active container
		jQuery("#headerimg" + activeContainer).css({
			"background-image" : "url(/SiteDesign/Splash4/" + photoObject.image + ")",
			"display" : "block",
			"z-index" : currentZindex
		});
		
		// Hide the header text
		jQuery("#headertxt").css({"display" : "none"});
		
		// Set the new header text
		jQuery("#firstline").html(photoObject.firstline);
		jQuery("#secondline").html(photoObject.secondline);
		jQuery("#pictureduri")
			.attr("href", photoObject.url)
			.html(photoObject.title);
		
		
		// Fade out the current container
		// and display the header text when animation is complete
		jQuery("#headerimg" + currentContainer).fadeOut(function() {
			setTimeout(function() {
				jQuery("#headertxt").css({"display" : "block"});
				animating = false;
			}, 500);
		});
	};
	
	var stopAnimation = function() {
		// Change the background image to "play"
		jQuery("#control").css({ "background-image" : "url(/SiteDesign/Splash4/btn_play.aspx)" });
		
		// Clear the interval
		clearInterval(interval);
	};
	
	// We should statically set the first image
	navigate("next");
	
	// Start playing the animation
	interval = setInterval(function() {
		navigate("next");
	}, slideshowSpeed);
	
});